Loading...
Searching...
No Matches
BALL::UnaryFunctor< ArgumentType, ResultType > Class Template Reference

`#include <BALL/CONCEPT/baseFunctor.h>`

Inheritance diagram for BALL::UnaryFunctor< ArgumentType, ResultType >:

## Public Types

Type Definitions
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

template<class ArgumentType, class ResultType>
class BALL::UnaryFunctor< ArgumentType, ResultType >

Generic Unary Functor Class.

Definition at line 25 of file baseFunctor.h.

## Member Typedef Documentation

## argument_pointer

template<class ArgumentType, class ResultType>

typedef ArgumentType* BALL::UnaryFunctor< ArgumentType, ResultType >::argument_pointer

Definition at line 51 of file baseFunctor.h.

## argument_reference

template<class ArgumentType, class ResultType>

typedef ArgumentType& BALL::UnaryFunctor< ArgumentType, ResultType >::argument_reference

Definition at line 43 of file baseFunctor.h.

## argument_type

template<class ArgumentType, class ResultType>

typedef ArgumentType BALL::UnaryFunctor< ArgumentType, ResultType >::argument_type

Definition at line 39 of file baseFunctor.h.

## const_argument_pointer

template<class ArgumentType, class ResultType>

typedef const ArgumentType* BALL::UnaryFunctor< ArgumentType, ResultType >::const_argument_pointer

Definition at line 55 of file baseFunctor.h.

## const_argument_reference

template<class ArgumentType, class ResultType>

typedef const ArgumentType& BALL::UnaryFunctor< ArgumentType, ResultType >::const_argument_reference

Definition at line 47 of file baseFunctor.h.

## result_type

template<class ArgumentType, class ResultType>

typedef ResultType BALL::UnaryFunctor< ArgumentType, ResultType >::result_type

Definition at line 35 of file baseFunctor.h.